<template lang='pug'>
BaseDialog.x-add-dialog(ref='dialog' title='Add Detector')
  template(v-slot:default='d')
    .row.x-detectors
      .col-12.col-xl-4.mb-1.order-xl-2(key='search')
        BaseCard.highlightOnFocus(title='Search' tabindex='-1'
                              @keydown.enter.native.stop='doSearch')
          li(key='0')
            .row.b-param-container
              BaseParamInput.col-12(ref='name' :inEdit='true' title='Name')
              BaseParamInput.col-12(ref='daqName' :inEdit='true' title='Daq Name')
              BaseParamInput.col-12(ref='trecNumber' type='number' :inEdit='true' title='TREC Number')
            .row.no-gutters.mt-1
              button.x-search.btn.btn-primary.ml-auto(ref='search' @click='doSearch') Search
      .col-12.col-xl-8(key='results')
        BaseCard
          li(key='ctrl')
            .row.justify-content-between
              .col-auto
                nav.justify-content-center(aria-label='Pagination')
                  ul.pagination
                    li.page-item(:class="{ disabled: page === 0 }")
                      button.page-link(type='button'  @click="goToPage(page - 1)"
                        :disabled='page === 0') #[i.fa.fa-angle-left]
                    li.page-item()
                      button.page-link(type='button' @click="goToPage(page + 1)") #[i.fa.fa-angle-right]
              BaseAnimationBlock
                .col-auto.align-content-center(v-if="loading" key='loader')
                  i.align-bottom.fa.fa-spinner.fa-pulse
              .col-auto.d-flex
                BaseSelect.x-entries(v-model.number='max' :inEdit='true' :noEditIcon='true')
                  template(v-slot:options='')
                    option(:value='20') 20
                    option(:value='40') 40
                    option(:value='100') 100
          li.p-0(v-if='!loading' key='rows')
            table.table.table-sm.table-hover
              thead.bg-light.table-head
                tr.text-center
                  th #
                  th Name
                  th Daq Name
                  th.d-md-table-cell.d-none TREC Number
              tbody
                tr(:key='m.id' v-for='m in rows' @click='d.resolve(m)').clickable
                  td {{ m.id }}
                  td {{ m.name }}
                  td {{ m.daqName }}
                  td.d-md-table-cell.d-none {{ m.trecNumber }}
  template(v-slot:footer='d')
    button.btn.btn-secondary(@click='d.resolve(null)') Cancel
</template>
<script>

export { default } from './AddDetectorsSetupDetectorDialog.vue.js';

</script>
